Summary:	AVR microcontrollers IDE
Name:		kontrollerlab
Version:	0.7.1
Release:	alt3
License:	GPL
Group:		Development/Tools
URL:		http://sourceforge.net/projects/kontrollerlab/
Source:		%name-%version.tar.bz2
Packager:	Evgeny Sinelnikov <sin@altlinux.ru>

BuildRequires:	gcc-c++
BuildRequires:	libqt3-devel
BuildRequires:	kdelibs-devel  
BuildRequires(pre):	rpm-build-compat

%description
The KontrollerLab is an IDE for developing software for Atmel(r) 
AVR(c) microcontrollers using the avr-gcc compiler, the uisp and 
the avrdude upload software.

%prep
%setup

%build
%add_optflags
./configure --prefix=%_prefix \
%ifarch x86_64 amd64 IA-64  
            --enable-libsuffix=64 
%endif

make

%install
make DESTDIR=%buildroot install

%files
%doc AUTHORS ChangeLog NEWS README TODO INSTALL COPYING
%_bindir/*
%_iconsdir/hicolor/*/*/*.png
%_datadir/mimelnk/application/*
%_datadir/applnk/Utilities/*
%_datadir/apps/*
%kde_docdir/*/*

%changelog
* Fri Apr 17 2009 Evgeny Sinelnikov <sin@altlinux.ru> 0.7.1-alt3
- Add build requires pre for rpm-build-compat

* Thu Apr 16 2009 Evgeny Sinelnikov <sin@altlinux.ru> 0.7.1-alt2
- Fix build requires
- Fix intersections with system packages

* Mon Apr 13 2009 Evgeny Sinelnikov <sin@altlinux.ru> 0.7.1-alt1
- Build for Sisyphus

* Sat Feb 24 2008 kontrollerlab 0.7.1
- Created package structure for kontrollerlab
